Data - Retrieve Classes For Object
Retrieves classes for object.
GET http://<Servername>/OperationsManager/data/classesForObject/{objectId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
object
|
path | True |
string |
The id of the object whose class is to be fetched. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK.Successfully retrieved Classes for Object Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Examples
RetrieveClassesForObject
Sample request
GET http://<Servername>/OperationsManager/data/classesForObject/E71CFB14-E8F9-ECE8-8743-0C458A9F1C3A
Sample response
{
"tableColumns": [
{
"field": "id",
"header": "Id",
"type": null,
"hidden": true
},
{
"field": "displayname",
"header": "Name",
"type": null,
"hidden": false
}
],
"rows": [
{
"id": "cd1461ed-b230-f49d-c2a2-bb33edd8e7cf",
"displayname": "Test Lab"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Table |
|
|
Table |
TableColumn
| Name | Type | Description |
|---|---|---|
| field |
string |
Name of the Column |
| header |
string |
Header of the column |
| hidden |
boolean |
Is column hidden |
| type |
string |
Type of the Column |
TableDataResponse
| Name | Type | Description |
|---|---|---|
| rows |
object[] |
Table Rows of data |
| tableColumns |
Table columns of data |